Update Campaign
curl --request PATCH \
--url https://api.voxo.co/v2/admin/call-campaigns/{campaignId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.voxo.co/v2/admin/call-campaigns/{campaignId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voxo.co/v2/admin/call-campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/call-campaigns/{campaignId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/call-campaigns/{campaignId}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.voxo.co/v2/admin/call-campaigns/{campaignId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/call-campaigns/{campaignId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": 123,
"tenantId": 123,
"name": "<string>",
"type": "<string>",
"dateStart": "<string>",
"dateEnd": "<string>",
"callerId": "<string>",
"callDelay": 123,
"state": "<string>",
"lastrun": "2023-11-07T05:31:56Z",
"dialtimeout": 123,
"tech": "<string>",
"message": "<string>",
"timeStart": "<string>",
"timeEnd": "<string>",
"timezone": "<string>",
"callFrequency": 123,
"callHoursStart": "<string>",
"callHoursEnd": "<string>",
"recording": "<string>",
"numbers": [
{
"number": "<string>",
"description": "<string>",
"disposition": "<string>"
}
],
"destinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"enableVMDetect": 123,
"matchDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"notMatchDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Call Campaigns
Update Campaign
Update an existing call campaign
PATCH
/
v2
/
admin
/
call-campaigns
/
{campaignId}
Update Campaign
curl --request PATCH \
--url https://api.voxo.co/v2/admin/call-campaigns/{campaignId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.voxo.co/v2/admin/call-campaigns/{campaignId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voxo.co/v2/admin/call-campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/call-campaigns/{campaignId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/call-campaigns/{campaignId}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.voxo.co/v2/admin/call-campaigns/{campaignId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/call-campaigns/{campaignId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": 123,
"tenantId": 123,
"name": "<string>",
"type": "<string>",
"dateStart": "<string>",
"dateEnd": "<string>",
"callerId": "<string>",
"callDelay": 123,
"state": "<string>",
"lastrun": "2023-11-07T05:31:56Z",
"dialtimeout": 123,
"tech": "<string>",
"message": "<string>",
"timeStart": "<string>",
"timeEnd": "<string>",
"timezone": "<string>",
"callFrequency": 123,
"callHoursStart": "<string>",
"callHoursEnd": "<string>",
"recording": "<string>",
"numbers": [
{
"number": "<string>",
"description": "<string>",
"disposition": "<string>"
}
],
"destinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"enableVMDetect": 123,
"matchDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"notMatchDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Authorizations
Body
application/json
Response
Updated campaign
Was this page helpful?